# PHP CircleCI 2.0 configuration file
version: 2
jobs:
  build:
    machine:
      docker_layer_caching: false
    working_directory: /tmp/drupalci
    steps:
      - run:
          name: Run tests
          command: docker run -v /tmp/drupalci/results:/results
                   --rm dennisdigital/drupalci:8-apache
                   --project ${CIRCLE_PROJECT_REPONAME}
                   --version ${CIRCLE_BRANCH}-dev
                   --vcs https://github.com/${CIRCLE_PROJECT_USERNAME}/${CIRCLE_PROJECT_REPONAME}.git
                   --dependencies "drupal/entity_embed:* drupal/entity_browser:* drupal/inline_entity_form:* drupal/paragraphs:*"
      - store_artifacts:
          path: /tmp/drupalci/results
